%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(HTTP::(Date|Request|Response|Status)|IO::Socket::IP|LWP::MediaTypes\\)$

Summary:       Simple HTTP server class
Name:          perl-HTTP-Daemon
Version:       6.16
Release:       1%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/HTTP-Daemon
Source0:       https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Daemon-%{version}.tar.gz

Patch3000:     HTTP-Daemon-6.04-EU-MM-is-not-deprecated.patch

BuildRequires: make perl-generators perl-interpreter perl(:VERSION) perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict) perl(Carp) perl(HTTP::Date) perl(HTTP::Request)
BuildRequires: perl(HTTP::Response) perl(HTTP::Status) perl(IO::Socket::IP) perl(LWP::MediaTypes)
BuildRequires: perl(Socket) perl(warnings) perl(Config) perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) perl(Module::Metadata) perl(Test::More) perl(Test::Needs)
Requires:      perl(HTTP::Date) perl(HTTP::Request)
Requires:      perl(HTTP::Response) perl(HTTP::Status) perl(IO::Socket::IP) perl(LWP::MediaTypes)
BuildArch:     noarch

%description
Instances of the HTTP::Daemon class are HTTP/1.1 servers that listen on a socket for incoming
requests. The HTTP::Daemon is a subclass of IO::Socket::IP, so you can perform socket operations
directly on it too.

%prep
%autosetup -n HTTP-Daemon-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 6.16-1
- Upgrade to version 6.16

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.12-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 6.12-1
- initial build
